> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get elastic templates

GET https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps

Gets all the elastic templates for a user.

**Note:** This endpoint returns a list of `clickwrapVersionSummaryResponse` objects. Each version of each elastic template is returned as a separate entry in the list.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`.

### Related topics

- [How to get a list of elastic templates](/docs/click-api/how-to/retrieve-elastic-templates/)

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/getclickwraps

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.

### Query parameters

- `filter` (string, optional) — Names of columns by which to filter and values to match on.
- `from_date` (string, optional) — The earliest date to return clickwraps from.
- `name` (string, optional) — The name of the elastic templates to return.
- `ownerUserId` (string, optional) — The user ID of the owner.
- `page_number` (string, optional) — The results for this endpoint are paginated. Use this parameter to indicate which page to return. The `minimumPagesRemaining` value in the response indicates whether to continue querying for additional pages. For example, if the page size is 40: * If this property is set to 0 (the default), the endpoint returns results 1-40. * If this property is set to 1, the endpoint returns results 41-80. The default value is 0.
- `status` (string, optional) — The status of the elastic templates to filter by. One of: - `active`: Active elastic templates only. - `inactive`: Inactive elastic templates only. - `draft`: Elastic templates in draft state, not yet activated.
- `to_date` (string, optional) — The latest date to return clickwraps from.

## Response

### 200

Successful response.

- `clickwraps` (list of clickwrapVersionSummaryResponse, optional) — An array of `clickwrapVersionSummaryResponse` objects.
- `minimumPagesRemaining` (integer, optional) — Number of pages remaining in the response.
- `page` (integer, optional) — The number of the current page.
- `pageSize` (integer, optional) — The number of items per page.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### clickwrapVersionSummaryResponse

- `accountId` (string, optional) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clickwrapName` (string, optional) — The name of the elastic template.
- `clickwrapVersionId` (string, optional) — The unique GUID of this elastic template version.
- `createdTime` (ClickwrapVersionSummaryResponseCreatedTime, optional) — The time that the elastic template was created.
- `dataFields` (list of dataField, optional) — An array of `dataField` objects.
- `lastModified` (ClickwrapVersionSummaryResponseLastModified, optional) — The time that the elastic template was last modified.
- `lastModifiedBy` (string, optional) — The user GUID of the last user who modified this elastic template.
- `ownerUserId` (string, optional) — The user ID of the owner of this clickwrap.
- `requireReacceptance` (boolean, optional) — When **true,** requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: `2.1` to `3.0` When **false,** signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: `2.1` to `2.2`
- `scheduledDate` (ClickwrapVersionSummaryResponseScheduledDate, optional) — The time and date when this elastic template is activated.
- `scheduledReacceptance` (clickwrapScheduledReacceptance, optional)
- `status` (string, optional) — Clickwrap status. Possible values: - `draft` - `active` - `inactive` - `deleted`
- `versionId` (string, optional) — The GUID of the version.
- `versionNumber` (string, optional) — Human-readable version number. For example `1.2`.

### ClickwrapVersionSummaryResponseCreatedTime

The time that the elastic template was created.

### dataField

Describes a single data field.

- `label` (string, optional) — The label of the datafield. This is the text that is displayed to the user.
- `name` (string, optional) — A string used to refer to the field internally. The name must be unique within an elastic template. The following fields are predefined by the API: - `fullName` - `email` - `company` - `title` - `date`
- `type` (string, optional) — The type of the field. Valid values: - `STRING` - `NUMBER` - `DATE`

### ClickwrapVersionSummaryResponseLastModified

The time that the elastic template was last modified.

### ClickwrapVersionSummaryResponseScheduledDate

The time and date when this elastic template is activated.

### clickwrapScheduledReacceptance

- `recurrenceInterval` (integer, optional) — The time between recurrences specified in `recurrenceIntervalType` units. The minimum and maximum values depend on `recurrenceIntervalType`: - `days`: 1 - 365 - `weeks`: 1 - 52 - `months`: 1 - 12 - `years`: 1
- `recurrenceIntervalType` (string, optional) — The units of the `recurrenceInterval`. Must be one of: - `days` - `weeks` - `month` - `years`
- `startDateTime` (ClickwrapScheduledReacceptanceStartDateTime, optional) — The date when the recurrence interval starts.

### ClickwrapScheduledReacceptanceStartDateTime

The date when the recurrence interval starts.

## Examples

**Response**

```json
{
  "clickwraps": [
    {
      "accountId": "string",
      "clickwrapId": "string",
      "clickwrapName": "string",
      "clickwrapVersionId": "string",
      "createdTime": {},
      "dataFields": [
        {
          "label": "string",
          "name": "string",
          "type": "string"
        }
      ],
      "lastModified": {},
      "lastModifiedBy": "string",
      "ownerUserId": "string",
      "requireReacceptance": true,
      "scheduledDate": {},
      "scheduledReacceptance": {
        "recurrenceInterval": 1,
        "recurrenceIntervalType": "string",
        "startDateTime": {}
      },
      "status": "string",
      "versionId": "string",
      "versionNumber": "string"
    }
  ],
  "minimumPagesRemaining": 1,
  "page": 1,
  "pageSize": 1
}
```